> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter the memories by user or project or team and export them

> Export provided user, project or team in JSON or CSV format. Only keys with 'Manager' role can call this endpoint



## OpenAPI

````yaml https://app.recallio.ai/swagger/v1/swagger.json get /api/Memory/export
openapi: 3.0.4
info:
  title: Recallio API
  description: API for Recallio.AI
  contact:
    name: Recallio.AI Team
    email: support@recallio.ai
  version: v1
servers:
  - url: https://app.recallio.ai
security:
  - Bearer: []
tags:
  - name: Knowledge
  - name: Memory
  - name: MemoryGraph (Extra Pack)
paths:
  /api/Memory/export:
    get:
      tags:
        - Memory
      summary: Filter the memories by user or project or team and export them
      description: >-
        Export provided user, project or team in JSON or CSV format. Only keys
        with 'Manager' role can call this endpoint
      operationId: ExportMemory
      parameters:
        - name: Type
          in: query
          description: 'Memory type: ''fact'', ''summary'', ''raw'''
          required: true
          schema:
            type: string
            example: fact
          example: fact
        - name: Format
          in: query
          description: 'Format : ''json'' or ''csv'''
          required: true
          schema:
            type: string
            example: json
          example: json
        - name: UserId
          in: query
          schema:
            type: string
        - name: ProjectId
          in: query
          schema:
            type: string
        - name: StartDate
          in: query
          schema:
            type: string
            format: date-time
        - name: EndDate
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
components:
  schemas:
    ErrorReturnClass:
      required:
        - error
      type: object
      properties:
        error:
          minLength: 1
          type: string
          description: Error message indicating the specific validation issue
          example: '"Invalid scope type. Must be ''user'', ''project'', or ''team''."'
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````